View Issue Details

IDProjectCategoryView StatusLast Update
0003429Ham Radio DeluxeBugpublic2019-11-08 02:31
ReporterPD9FERAssigned ToK7ZCZ 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version6.7.0.244 
Summary0003429: Chinese characters and double profiles in DM-780
DescriptionWhen in Digital Master and go to My station there are 2 or more profiles.
One of those is filled with Chinese characters.
Steps To ReproduceRun Logbook and Digital Master
In digital Master select My Station from the Tags selection (see screenshot)
Additional InformationRelated to 0003374
TagsNo tags attached.
ModuleDM780
Sub-ModuleParser
Testing Beta Successful

Relationships

related to 0003374 closedPD9FER Ham Radio Deluxe V6.6 release 2 profiles in ALE when only having one 
has duplicate 0003444 closedk2ie 5 - Closed w/o Action My Station Data Displays Dupe in DM780 ALE 

Activities

PD9FER

2019-08-12 12:13

viewer  

Knipsel.JPG (116,672 bytes)
Knipsel.JPG (116,672 bytes)

PD9FER

2019-08-12 12:17

viewer   ~0008389

This issue could disappear with the 3374 fix
But to be sure I added this for DM-780

K7ZCZ

2019-08-13 11:41

administrator   ~0008395

Here are clear repro steps for this issue:

1) Start DM780
2) Use the "New Window" command in the "QSO" menu
3) In the resulting QSO pane, activate the mode tab, whatever it might be named
4) In the mode tab, activate the "My station" tab.

BUG#1) A single-license station will have two stations listed.

BUG#2) One of the two stations may display garbage data when selected.

K7ZCZ

2019-08-13 11:42

administrator   ~0008396

fixed in the 6.7 branch with this checkin:
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/5118

g3ucq

2019-09-03 07:37

viewer   ~0008501

Look OK to me

WA9PIE

2019-09-07 08:39

administrator   ~0008516

Validated

Issue History

Date Modified Username Field Change
2019-08-12 12:13 PD9FER New Issue
2019-08-12 12:13 PD9FER File Added: Knipsel.JPG
2019-08-12 12:14 PD9FER Relationship added related to 0003374
2019-08-12 12:17 PD9FER Note Added: 0008389
2019-08-13 11:41 K7ZCZ Note Added: 0008395
2019-08-13 11:42 K7ZCZ Assigned To => K7ZCZ
2019-08-13 11:42 K7ZCZ Status new => resolved
2019-08-13 11:42 K7ZCZ Resolution open => fixed
2019-08-13 11:42 K7ZCZ Note Added: 0008396
2019-08-30 13:25 K7ZCZ Project 1 - Backlog => 3 - Current Dev List
2019-08-30 13:29 K7ZCZ Fixed in Version => 6.7.0.226
2019-09-03 07:37 g3ucq Note Added: 0008501
2019-09-07 08:39 WA9PIE Status resolved => closed
2019-09-07 08:39 WA9PIE Description Updated View Revisions
2019-09-07 08:39 WA9PIE Steps to Reproduce Updated View Revisions
2019-09-07 08:39 WA9PIE Testing Not Started => Beta Successful
2019-09-07 08:39 WA9PIE Note Added: 0008516
2019-09-16 22:55 K7ZCZ Relationship added related to 0003444
2019-09-17 08:26 K7ZCZ Relationship deleted related to 0003444
2019-09-17 08:27 K7ZCZ Relationship added has duplicate 0003444
2019-11-08 02:16 WA9PIE Fixed in Version 6.7.0.226 => 6.7.0.244
2019-11-08 02:31 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe